Subject: Re: bug#5723: 23.1.94; make-network-process and emacs hangs

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Thu, 18 Mar 2010 19:37:06 +0900

>>>>> On Thu, 18 Mar 2010 10:00:41 +0000, Leo <[email-masked]> said:

>> Could you try if C-g works for you case on X11 builds, both
>> --with-sync-input and --without-sync-input?

> Yes, I can now start emacs X11 and C-g can stop the hang for both
> --with-sync-input and --without-sync-input.

> It would great if something like this is available to mac-port ;)

Perhaps we can try to see if removal of the `turn_on_atimers' calls
around `connect' can solve the problem without introducing any bad
effect.  If it works, then it will contribute not only to the Mac port
but also the NS port and non-SIGIO systems such as Solaris 8.

				     YAMAMOTO Mitsuharu
				[email-masked]